GDB (xrefs)

Public Attributes | List of all members
mep_prologue Struct Reference

## Public Attributes
struct gdbarch * | gdbarch
int | frame_size
int | has_frame_ptr
int | frame_ptr_offset
CORE_ADDR | prologue_end
int | reg_offset [MEP_NUM_REGS]

## Detailed Description

Definition at line 1580 of file mep-tdep.c.

## Member Data Documentation

## ◆ frame_ptr_offset

int mep_prologue::frame_ptr_offset

Definition at line 1603 of file mep-tdep.c.

Referenced by mep_analyze_prologue(), and mep_frame_base().

## ◆ frame_size

int mep_prologue::frame_size

Definition at line 1594 of file mep-tdep.c.

Referenced by mep_analyze_prologue(), and mep_frame_base().

## ◆ gdbarch

struct gdbarch* mep_prologue::gdbarch

Definition at line 1583 of file mep-tdep.c.

Referenced by check_for_saved(), and mep_analyze_prologue().

## ◆ has_frame_ptr

int mep_prologue::has_frame_ptr

Definition at line 1598 of file mep-tdep.c.

Referenced by mep_analyze_prologue(), and mep_frame_base().

## ◆ prologue_end

CORE_ADDR mep_prologue::prologue_end

Definition at line 1608 of file mep-tdep.c.

Referenced by mep_skip_prologue().

## ◆ reg_offset

int mep_prologue::reg_offset[MEP_NUM_REGS]

Definition at line 1613 of file mep-tdep.c.

Referenced by check_for_saved(), mep_analyze_prologue(), and mep_frame_prev_register().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/mep-tdep.c